from setuptools import setup

setup(
    name="data_qualitator",
    package_dir={"data_qualitator": "data_qualitator/"},
    packages=[
        "data_qualitator",
        "data_qualitator.utils",
        "data_qualitator.services",
        "data_qualitator.services.filesystem",
        "data_qualitator.services.filesystem.csv",
        "data_qualitator.services.filesystem.parquet",
        "data_qualitator.services.gcp",
        "data_qualitator.services.gcp.cloudstorage",
        "data_qualitator.services.gcp.cloudstorage.csv",
        "data_qualitator.services.gcp.cloudstorage.parquet",
        "data_qualitator.services.sql",
    ],
    version="1.0.2",
    license="MIT",
    description="Data quality checking made easy!",
    author="Jay Milagroso",
    author_email="j.milagroso@gmail.com",
    url="https://github.com/jmilagroso/data_qualitator",
    download_url="https://github.com/jmilagroso/data_qualitator/releases",
    keywords=[
        "data quality",
        "great expectations",
        "data accuracy",
        "data completeness",
        "data consistency",
        "data integrity",
        "data validity",
        "data precision",
        "data governance",
        "data cleansing",
        "data profiling",
        "data standardization",
        "data quality assessment",
        "data quality control",
    ],
    install_requires=[
        "coverage==7.4.2",
        "great-expectations==0.18.12",
        "pandas==2.2.1",
        "fastparquet==2024.2.0",
        "pyarrow==15.0.2",
        "google-cloud-bigquery==3.19.0",
        "google-cloud-storage==2.16.0",
        "SQLAlchemy==1.4.52",
        "sqlalchemy-bigquery==1.10.0",
        "psycopg2==2.9.9",
    ],
    classifiers=[
        "Development Status :: 4 - Beta",
        "Intended Audience :: Developers",
        "Topic :: Software Development :: Build Tools",
        "License :: OSI Approved :: MIT License",
        "Programming Language :: Python :: 3.9",
    ],
)
